Package de.willuhn.jameica.hbci.passports.ddv.server

# Class PCSCReader

java.lang.Object
de.willuhn.jameica.hbci.passports.ddv.server.PCSCReader

All Implemented Interfaces:
  `Reader`

Direct Known Subclasses:
  `RDHReader`

public class PCSCReader extends Object implements Reader
Implementierung des Kartenleser-Supports fuer javax.smartcardio.

## Nested Class Summary

## Nested classes/interfaces inherited from interface de.willuhn.jameica.hbci.passports.ddv.rmi.Reader

`Reader.Type`

## Constructor Summary

Constructors
Constructor
Description
`PCSCReader()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getCTAPIDriver()`
Liefert Pfad und Dateiname des CTAPI-Treibers.
`int`
`getCTNumber()`
Liefert den Index des Readers.
`String`
`getDefaultHBCIVersion()`
Liefert die Default-HBCI-Version, die verwendet werden soll, wenn keine bekannt ist.
`String`
`getName()`
Liefert den Namen des Chipkartenlesers.
`String`
`getPort()`
Liefert einen vordefinierten Port.
`Reader.Type`
`getType()`
Liefert die Art des Kartenlesers.
`boolean`
`isSupported()`
Prueft, ob dieser Leser von der aktuellen System-Umgebung unterstuetzt wird.
`String`
`toString()`
`boolean`
`useSoftPin()`
Liefert true, wenn die Tastatur des PCs zur Eingabe der PIN verwendet werden soll.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PCSCReader

public PCSCReader()

## Method Details

### getName

public String getName()
Description copied from interface: `Reader`
Liefert den Namen des Chipkartenlesers.

Specified by:
  `getName` in interface `Reader`
Returns:
  Name des Lesers.
See Also:
  - `Reader.getName()`

### getCTAPIDriver

public String getCTAPIDriver()
Description copied from interface: `Reader`
Liefert Pfad und Dateiname des CTAPI-Treibers.

Specified by:
  `getCTAPIDriver` in interface `Reader`
Returns:
  Pfad und Dateiname des CTAPI-Treibers.
See Also:
  - `Reader.getCTAPIDriver()`

### getPort

public String getPort()
Description copied from interface: `Reader`
Liefert einen vordefinierten Port.

Specified by:
  `getPort` in interface `Reader`
Returns:
  Port.
See Also:
  - `Reader.getPort()`

### getCTNumber

public int getCTNumber()
Description copied from interface: `Reader`
Liefert den Index des Readers.

Specified by:
  `getCTNumber` in interface `Reader`
Returns:
  Index des Readers.
See Also:
  - `Reader.getCTNumber()`

### isSupported

public boolean isSupported()
Description copied from interface: `Reader`
Prueft, ob dieser Leser von der aktuellen System-Umgebung unterstuetzt wird.

Specified by:
  `isSupported` in interface `Reader`
Returns:
  `true`, wenn er unterstuetzt wird.
See Also:
  - `Reader.isSupported()`

### useSoftPin

public boolean useSoftPin()
Description copied from interface: `Reader`
Liefert true, wenn die Tastatur des PCs zur Eingabe der PIN verwendet werden soll.

Specified by:
  `useSoftPin` in interface `Reader`
Returns:
  `true` wenn die Tastatur des PCs zur Eingabe der PIN verwendet werden soll.
See Also:
  - `Reader.useSoftPin()`

### getType

public Reader.Type getType()
Description copied from interface: `Reader`
Liefert die Art des Kartenlesers.

Specified by:
  `getType` in interface `Reader`
Returns:
  die Art des Kartenlesers.
See Also:
  - `Reader.getType()`

### getDefaultHBCIVersion

public String getDefaultHBCIVersion()
Description copied from interface: `Reader`
Liefert die Default-HBCI-Version, die verwendet werden soll, wenn keine bekannt ist. Wird zum Beispiel bei der Suche nach Kartenlesern verwendet.

Specified by:
  `getDefaultHBCIVersion` in interface `Reader`
Returns:
  die Default-HBCI-Version.
See Also:
  - `Reader.getDefaultHBCIVersion()`

### toString

public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`
See Also:
  - `Object.equals(java.lang.Object)`